% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SSNbler-package.R
\docType{package}
\name{SSNbler-package}
\alias{SSNbler}
\alias{SSNbler-package}
\title{SSNbler: Assemble 'SSN' Objects}
\description{
Import, create and assemble data needed to fit spatial-statistical stream-network models using the 'SSN2' package for 'R'. Streams, observations, and prediction locations are represented as simple features and specific tools provided to define topological relationships between features; calculate the hydrologic distances (with flow-direction preserved) and the spatial additive function used to weight converging stream segments; and export the topological, spatial, and attribute information to an `SSN` (spatial stream network) object, which can be efficiently stored, accessed and analysed in 'R'. A detailed description of methods used to calculate and format the spatial data can be found in Peterson, E.E. and Ver Hoef, J.M., (2014) \doi{10.18637/jss.v056.i02}.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/pet221/SSNbler}
  \item Report bugs at \url{https://github.com/pet221/SSNbler/issues}
}

}
\author{
\strong{Maintainer}: Erin Peterson \email{erin@peterson-consulting.com} (\href{https://orcid.org/0000-0003-2992-0372}{ORCID})

Authors:
\itemize{
  \item Michael Dumelle \email{Dumelle.Michael@epa.gov} (\href{https://orcid.org/0000-0002-3393-5529}{ORCID})
  \item Alan Pearse (\href{https://orcid.org/0000-0002-4133-8548}{ORCID})
}

Other contributors:
\itemize{
  \item Dan Teleki [contributor]
  \item Jay M. Ver Hoef \email{jay.verhoef@noaa.gov} (\href{https://orcid.org/0000-0003-4302-6895}{ORCID}) [contributor]
}

}
\keyword{internal}
